SLAPTEST(8C)

NAME
slaptest - Check the suitability of the slapd.conf file.

SYNOPSIS
/usr/local/sbin/slaptest [-v] [-d level] [-f slapd.conf]

DESCRIPTION

Slaptest is used to check the conformance of the slapd.conf(5) configurtion file. It opens the slapd.conf(5) configuration file, and parses it according to the general and the backend-specific rules, checking its sanity.

OPTIONS

-v  enable verbose mode.

-d level
    enable debugging messages as defined by the specified level.

-f slapd.conf
    specify an alternative slapd.conf(5) file.

EXAMPLES
To check a slapd.conf(5) give the command:

	/usr/local/sbin/slaptest -f //usr/local/etc/openldap/slapd.conf -v

SEE ALSO
ldap(3), slapd(8) slapdn(8)

"OpenLDAP Administrator's Guide" (http://www.OpenLDAP.org/doc/admin/)

ACKNOWLEDGEMENTS
OpenLDAP is developed and maintained by The OpenLDAP Project (http://www.openldap.org/). OpenLDAP is derived from University of Michigan LDAP 3.3 Release.